Batching improves performanceBatching your translation requests into groups of 1000 RampIDs will improve your application's performance.
For other-to-native translation, make a POST call to https://us.identity.api.liveramp.com/batch/lookup, passing in a JSON file that specifies the RampIDs to be translated as keys. For native-to-other translation, specify the other encoding on the command line.
We recommend testing the API with native-to-native translation. Since encodings are disabled for translation by default, you will need to request authorization for this from your LiveRamp representative.
Translation Batch Call Example
-
Create a JSON file specifying the RampIDs to be translated:
$ cat input.json $ [ "/people/anonymousAbilitec/?key={rampID1}", "/people/anonymousAbilitec/?key={rampID2}", . . . ] -
For a native-to-other translation, make a POST call specifying the output partner encoding as a parameter in the request:
curl -H "content-type: application/json" \ -H "Authorization: Bearer $TOKEN" \ -d @input.json \ "https://us.identity.api.liveramp.com/batch/lookup?partnerEncoding={partnerEncoding}" -
For an other-to-native translation, make the same call without specifying an encoding in the request (if unspecified, it is assumed you want your native encoding):
curl -H "content-type: application/json" \ -H "Authorization: Bearer $TOKEN" \ -d @input.json \ "https://us.identity.api.liveramp.com/batch/lookup"
The response will look like this:
[ {
"code" : 200,
"document" : {
"person" : {
"anonymousAbilitec" : {
"anonymousConsumerLink" : "translatedRampID1"
}
}
}
}, {
"code" : 200,
"document" : {
"person" : {
"anonymousAbilitec" : {
"anonymousConsumerLink" : "translatedRampID2"
}
}
}
} ]
Pseudonymous IdentifierIn the context of the RampID API, references to "anonymousAbilitec" indicate resolving to people-based pseudonymous online identifiers. For more information, see "RampID Methodology" in the Identity documentation.
